Loading...
Searching...
No Matches
pcl::registration::DataContainer< PointT, NormalT > Class Template Reference
Module registration

DataContainer is a container for the input and target point clouds and implements the interface to compute correspondence scores between correspondent points in the input and target clouds More...

`#include <pcl/registration/correspondence_rejection.h>`

Inheritance diagram for pcl::registration::DataContainer< PointT, NormalT >:

## Public Member Functions

| DataContainer (bool needs_normals=false)
| Empty constructor.
| ~DataContainer () override=default
| Empty destructor.
void | setInputSource (const PointCloudConstPtr &cloud)
| Provide a source point cloud dataset (must contain XYZ data!), used to compute the correspondence distance.
PointCloudConstPtr const | getInputSource ()
| Get a pointer to the input point cloud dataset target.
void | setInputTarget (const PointCloudConstPtr &target)
| Provide a target point cloud dataset (must contain XYZ data!), used to compute the correspondence distance.
PointCloudConstPtr const | getInputTarget ()
| Get a pointer to the input point cloud dataset target.
void | setSearchMethodTarget (const KdTreePtr &tree, bool force_no_recompute=false)
| Provide a pointer to the search object used to find correspondences in the target cloud.
void | setInputNormals (const NormalsConstPtr &normals)
| Set the normals computed on the input point cloud.
NormalsConstPtr | getInputNormals ()
| Get the normals computed on the input point cloud.
void | setTargetNormals (const NormalsConstPtr &normals)
| Set the normals computed on the target point cloud.
NormalsConstPtr | getTargetNormals ()
| Get the normals computed on the target point cloud.
double | getCorrespondenceScore (int index) override
| Get the correspondence score for a point in the input cloud.
double | getCorrespondenceScore (const pcl::Correspondence &corr) override
| Get the correspondence score for a given pair of correspondent points.
double | getCorrespondenceScoreFromNormals (const pcl::Correspondence &corr) override
| Get the correspondence score for a given pair of correspondent points based on the angle between the normals.
Public Member Functions inherited from pcl::registration::DataContainerInterface
virtual | ~DataContainerInterface ()=default

## Additional Inherited Members

Public Types inherited from pcl::registration::DataContainerInterface
using | Ptr = shared_ptr<DataContainerInterface>
using | ConstPtr = shared_ptr<const DataContainerInterface>

## Detailed Description

template<typename PointT, typename NormalT = pcl::PointNormal>
class pcl::registration::DataContainer< PointT, NormalT >

DataContainer is a container for the input and target point clouds and implements the interface to compute correspondence scores between correspondent points in the input and target clouds

Definition at line 234 of file correspondence_rejection.h.

## Constructor & Destructor Documentation

## DataContainer()

template<typename PointT, typename NormalT = pcl::PointNormal>

pcl::registration::DataContainer< PointT, NormalT >::DataContainer | ( | bool | needs_normals = false | ) |

inline

Empty constructor.

Definition at line 247 of file correspondence_rejection.h.

## ~DataContainer()

template<typename PointT, typename NormalT = pcl::PointNormal>

pcl::registration::DataContainer< PointT, NormalT >::~DataContainer | ( |  | ) |

override default

Empty destructor.

## Member Function Documentation

## getCorrespondenceScore() [1/2]

template<typename PointT, typename NormalT = pcl::PointNormal>

double pcl::registration::DataContainer< PointT, NormalT >::getCorrespondenceScore | ( | const pcl::Correspondence & | corr | ) |

inline override virtual

Get the correspondence score for a given pair of correspondent points.

Parameters

  [in] | corr | Correspondent points

Implements pcl::registration::DataContainerInterface.

Definition at line 364 of file correspondence_rejection.h.

References pcl::Correspondence::index_match, and pcl::Correspondence::index_query.

## getCorrespondenceScore() [2/2]

template<typename PointT, typename NormalT = pcl::PointNormal>

double pcl::registration::DataContainer< PointT, NormalT >::getCorrespondenceScore | ( | int | index | ) |

inline override virtual

Get the correspondence score for a point in the input cloud.

Parameters

  [in] | index | index of the point in the input cloud

Implements pcl::registration::DataContainerInterface.

Definition at line 348 of file correspondence_rejection.h.

## getCorrespondenceScoreFromNormals()

template<typename PointT, typename NormalT = pcl::PointNormal>

double pcl::registration::DataContainer< PointT, NormalT >::getCorrespondenceScoreFromNormals | ( | const pcl::Correspondence & | corr | ) |

inline override virtual

Get the correspondence score for a given pair of correspondent points based on the angle between the normals.

The normmals for the in put and target clouds must be set before using this function

Parameters

  [in] | corr | Correspondent points

Implements pcl::registration::DataContainerInterface.

Definition at line 378 of file correspondence_rejection.h.

References pcl::Correspondence::index_match, and pcl::Correspondence::index_query.

## getInputNormals()

template<typename PointT, typename NormalT = pcl::PointNormal>

NormalsConstPtr pcl::registration::DataContainer< PointT, NormalT >::getInputNormals | ( |  | ) |

inline

Get the normals computed on the input point cloud.

Definition at line 323 of file correspondence_rejection.h.

## getInputSource()

template<typename PointT, typename NormalT = pcl::PointNormal>

PointCloudConstPtr const pcl::registration::DataContainer< PointT, NormalT >::getInputSource | ( |  | ) |

inline

Get a pointer to the input point cloud dataset target.

Definition at line 274 of file correspondence_rejection.h.

## getInputTarget()

template<typename PointT, typename NormalT = pcl::PointNormal>

PointCloudConstPtr const pcl::registration::DataContainer< PointT, NormalT >::getInputTarget | ( |  | ) |

inline

Get a pointer to the input point cloud dataset target.

Definition at line 292 of file correspondence_rejection.h.

## getTargetNormals()

template<typename PointT, typename NormalT = pcl::PointNormal>

NormalsConstPtr pcl::registration::DataContainer< PointT, NormalT >::getTargetNormals | ( |  | ) |

inline

Get the normals computed on the target point cloud.

Definition at line 339 of file correspondence_rejection.h.

## setInputNormals()

template<typename PointT, typename NormalT = pcl::PointNormal>

void pcl::registration::DataContainer< PointT, NormalT >::setInputNormals | ( | const NormalsConstPtr & | normals | ) |

inline

Set the normals computed on the input point cloud.

Parameters

  [in] | normals | the normals computed for the input cloud

Definition at line 316 of file correspondence_rejection.h.

## setInputSource()

template<typename PointT, typename NormalT = pcl::PointNormal>

void pcl::registration::DataContainer< PointT, NormalT >::setInputSource | ( | const PointCloudConstPtr & | cloud | ) |

inline

Provide a source point cloud dataset (must contain XYZ data!), used to compute the correspondence distance.

Parameters

  [in] | cloud | a cloud containing XYZ data

Definition at line 267 of file correspondence_rejection.h.

## setInputTarget()

template<typename PointT, typename NormalT = pcl::PointNormal>

void pcl::registration::DataContainer< PointT, NormalT >::setInputTarget | ( | const PointCloudConstPtr & | target | ) |

inline

Provide a target point cloud dataset (must contain XYZ data!), used to compute the correspondence distance.

Parameters

  [in] | target | a cloud containing XYZ data

Definition at line 284 of file correspondence_rejection.h.

## setSearchMethodTarget()

template<typename PointT, typename NormalT = pcl::PointNormal>

void pcl::registration::DataContainer< PointT, NormalT >::setSearchMethodTarget | ( | const KdTreePtr & | tree,
|  | bool | force_no_recompute = false )

inline

Provide a pointer to the search object used to find correspondences in the target cloud.

Parameters

  [in] | tree | a pointer to the spatial search object.
  [in] | force_no_recompute | If set to true, this tree will NEVER be recomputed, regardless of calls to setInputTarget. Only use if you are confident that the tree will be set correctly.

Definition at line 305 of file correspondence_rejection.h.

## setTargetNormals()

template<typename PointT, typename NormalT = pcl::PointNormal>

void pcl::registration::DataContainer< PointT, NormalT >::setTargetNormals | ( | const NormalsConstPtr & | normals | ) |

inline

Set the normals computed on the target point cloud.

Parameters

  [in] | normals | the normals computed for the input cloud

Definition at line 332 of file correspondence_rejection.h.

The documentation for this class was generated from the following file:

- pcl/registration/correspondence_rejection.h